Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
search
Search jobs in project
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/search \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    {
      "uid": "3HYnHHLkTPJfMxBCDbPXFe"
    }
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/search"

payload = { "jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}]})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jobs": [
    {
      "beginIndex": 123,
      "continuous": true,
      "continuousJobInfo": {
        "dateUpdated": "2023-11-07T05:31:56Z"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateDue": "2023-11-07T05:31:56Z",
      "endIndex": 123,
      "filename": "<string>",
      "importStatus": {
        "errorMessage": "<string>"
      },
      "imported": true,
      "innerId": "<string>",
      "isParentJobSplit": true,
      "jobReference": {
        "filename": "<string>",
        "uid": "<string>"
      },
      "lastWorkflowLevel": 123,
      "originalFileDirectory": "<string>",
      "project": {
        "name": "<string>",
        "uid": "<string>"
      },
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "serverTaskId": "<string>",
      "sourceLang": "<string>",
      "targetLang": "<string>",
      "uid": "<string>",
      "updateSourceDate": "2023-11-07T05:31:56Z",
      "updateTargetDate": "2023-11-07T05:31:56Z",
      "wordsCount": 123,
      "workUnit": {},
      "workflowLevel": 123,
      "workflowStep": {
        "id": "<string>",
        "name": "<string>",
        "order": 123,
        "workflowLevel": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

Body

application/json

Jobs to search for within the project

jobs
object[]
required

Max: 50 records

Required array length: 1 - 50 elements

Response

OK

jobs
object[]